Skip to main content
GET
/
v3
/
overdubs
List overdubs
curl --request GET \
  --url https://api.heygen.com/v3/overdubs \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "status": "pending",
      "title": "<string>",
      "duration": 123,
      "video_url": "<string>",
      "callback_id": "<string>",
      "created_at": 123,
      "failure_message": "<string>"
    }
  ],
  "has_more": true,
  "next_token": "<string>"
}

Authorizations

x-api-key
string
header
required

HeyGen API key. Obtain from your HeyGen dashboard.

Query Parameters

limit
integer
default:10

Maximum number of items per page

Required range: 1 <= x <= 100
token
string

Opaque cursor token for the next page

Response

Successful response

data
OverdubDetail · object[]
has_more
boolean

Whether more pages are available

next_token
string | null

Opaque cursor for the next page